Welcome
Welcome to the psx emulation cheater.

The psx emulation cheater (aka [pec]) is a GameShark ™ like addon which works with all PSX emulators supporting the PSEmu Pro plugin standard (like PSEmu Pro itself, ePSXe, AdriPSX, PCSX, PSinex and FPSE) and the commerical PSX emulators Bleem! ™ & Connectix Virtual Game Station ™.

The GameShark™ is an addon for your real PlayStation ™ which allows you the usage of cheat codes for increasing energy, getting more money or every weapon in a certain game. These codes can easily be found on numerous sites on the web.

And it becomes even better : [pec] already features more than 71.000 codes for more than 1.800 games which've been pre-entered for you. In case there's still a code missing for a certain game you'd like to use, you can also easily add it using [pec]'s add function.

The [pec] plugin also features [pec]chu, a cheat hacking unit which allow you similar to GameHack, to find your own codes. This opens the door to a world of infinite cheating-possibilities.

Users of the original PSX console have to buy a GameShark™ or one of the numerous clones when they want to use cheat codes. The price for those products often are around 40$ and though they come along with only 2000-4000 pre-entered codes (compare that to [pec]'s 71.000), freaks will soon end up entering hundreds of codes using the playstation controller, what takes up lots of time since every single number of the numeric codes have to be selected.

[pec] makes this all a lot easier. First off, [pec] is a freeware program, so you don't have to pay one single cent for it. Additionally, it includes an easy to use interface designed for easy navigation, high speed and compatibility and a lot more.
Copyright © 1999-2002 by Jens Duttke


System Requirements
The system requirements for [pec], depends on the resources which the psx emulator need.
If you use a fast emulator with dynamic recompilation, the system requirements for [pec] are lower, than for an emulator which use only interpretive execution.

So, if the emulator affect the system speed much, [pec] will also work worst.

But generally, you should have atleast :
  • Pentium II 266 mhz or better
  • 32 MB RAM
  • 10 MB free hard disc space
  • An emulator which supports the PSEmu Pro plugins or Bleem!/CVGS
  • A 32 bit Windows operating system
The program has been tested on Windows 95, Windows 98 as well as Windows Millennium, Windows 2000 and Windows XP with ePSXe as well as PSEmu Pro and Bleem!/CVGS.

The psx emulation cheater was compiled using the Microsoft Macro Assember 6.15.8803 (executive parts) and Delphi 5.0 (interface parts).
You do NOT need any runtime libraries to run it, but if you have some, do not delete them.


Supported Code Types
The psx emulation cheater support Action Replay/GameShark/GameBuster 2.2 codes and the most used 2.41 codes, which includes the following code types :

80 | 16-Bit Constant Write | All GameShark Versions
30 | 8-Bit Constant Write | All GameShark Versions
10 | 16-Bit Increment Once | GameShark v2.2 Or Higher
11 | 16-Bit Decrement Once | GameShark v2.2 Or Higher
20 | 8-Bit Increment Once | GameShark v2.2 Or Higher
21 | 8-Bit Decrement Once | GameShark v2.2 Or Higher
50 | Serial Repeater | GameShark v2.2 Or Higher
D0 | 16-Bit If Equal To | All GameShark Versions
D1 | 16-Bit If Not Equal To | All GameShark Versions
D2 | 16-Bit If Less Than | All GameShark Versions
D3 | 16-Bit If Greater Than | All GameShark Versions
E0 | 8-Bit If Equal To | GameShark v2.2 Or Higher
E1 | 8-Bit If Not Equal To | GameShark v2.2 Or Higher
E2 | 8-Bit If Less Than | GameShark v2.2 Or Higher
E3 | 8-Bit If Greater Than | GameShark v2.2 Or Higher
C0 | 16-Bit Master Code | GameShark v2.41 Or Higher
C1 | Activate Codes On Delay | GameShark v2.41 Or Higher
C2 | Copy Bytes | GameShark v2.41 Or Higher

Special Caetla and XPloder Pro codes are currently not supported.

Quantity Digits to accompany

The psx emulation cheater also supports "Quantity Digits to accompany"-codes. Those are codes that can be changed by typing in different codes.

Those can be pre made values, for example :

(Tekken 3 - PAL)
P1 Skin Modifier
- | 800A920C 00??
 | ?? = 00 - Paul
 | ?? = 01 - Paul (2nd Costume)
 | ?? = 02 - N/A
 | ?? = 03 - Law
 | ?? = 04 - Lei
 | ...

This means that a code can be used for different settings :

800A920C 0000 - Paul
800A920C 0001 - Paul (2nd Costume)
800A920C 0002 - N/A
800A920C 0003 - Law
800A920C 0004 - Lei
...

This can be useful to change colors, camera positions, inventory etc.

But also for certain value areas, for example :

(...)

- | 800A920C 00??
 | ?? = 00-20

to :

800A920C 0000
800A920C 0001
800A920C 0002
800A920C 0003
...
800A920C 001D
800A920C 001E
800A920C 001F
800A920C 0020

This can be useful to set points, lives, KO's etc.

Joker Commands and Reverse Joker Commands

Joker command means, that the code only will be executed when a certain key has been pressed. That means if you, for example, don't want to use Max. Speed = 500 mph all the time in a racing game, you can assign a certain key on your joypad for that function and as soon as you press it, you will be driving around at 500 mph.
Key combinations are, of course, valid as well, like L1+L2 or R1+X+O !


Legal Things
"psx emulation cheater" aka "[pec]" and "[pec] The Plugin" are copyrights © 1999-2002 Jens Duttke.

PlayStation is a registered trademark of Sony Computer Entertainment, Inc. "Sony" is a registered trademark for the Sony Corporation.

GameShark is a registered trademark of InterAct Accessories, Inc.
GameBuster is a registered trademark of Dataflash GmbH.
Pro Action Replay is a registered trademark of Datel.

bleem! and the bleem! logo are trademarks of bleem, inc.
Connectix Virtual Game Station and the Connectix logo are trademarks of Connectix Corporation.

All other trademarks are property of their respective holders.

All cheats in the psx emulation cheater database are copyright by the following pages :
  • GameBuster's Paradise
  • Game Software Code Creators Club
  • Asian Game Shark Code Centre
  • The 1st Ultimate Cheating Dome
If you have problems while using the psx emulation cheater, please contact me BEFORE you contact the emulator developers, the game developers or the operators of the GameShark-Code-Pages.

I don't take any warranty for damage caused to your PC. Use it at your own risk!


Contact
If cheats doesn't work, the database has bugs, the readme is not correct, the plugin doesn't work correctly, you have problems with the interface (GUI) or if you have any ideas for the next version of [pec] mail to Jens Duttke (That's me :-P ).

You can mail to me in german and english. Mails in other languages will be ignored.

Or chat with me in EFnet , in the channels #emucheater or #epsxe using mIRC or any other irc client.


How to Use (Plugin Version)
  1. Start the emulator
  2. Go into the plugin menu and select video
  3. Choose 'psx emulation cheater' as the video plugin
  4. Click the configure button and select the 'real' gpu plugin you want to use.
  5. Click 'Ok'
  6. Execute the 'pec.exe'
  7. Select your cheats
  8. Click on 'Send cheats to plugin'
  9. Insert the game CD or load the ISO file in the emulator
  10. Start the emulation
Instead of Step 6, 7 and 8 you can also press Ctrl+G, after you started the emulation. This will also open the [pec] interface, and allow you to activate and change the codes while playing the game.


How to Use (Bleem!/VGS)
  1. Execute the 'pec.exe'
  2. Click in the menu on 'Options' -> 'Interface type' -> 'Normal'
  3. Select your emulators icon in the bottom-left of the [pec] window
  4. Select your cheats
  5. Click on 'Activate Codes'
  6. Start the emulator
  7. Insert the game CD
  8. Start the emulation


Version History (since [pec] The Plugin 1.0)
These are all versions since the first release of the plugin (I even don't remember when the first release of the plugin was, but it was for sure in the last 3 years ;-) )
Since the first release of [pec] in March 2000 many things changed. [pec] is the most powerful cheating engine for psx emulators and I will do everything that this doesn't change, so expect much more releases in the next 3 years. ;-)

Plugin Version : v2.5
  • Hex-Editor : MemDump-File wasn't removed after editing, this bug is fixed
  • Fixed the hotkey-problem in Windows XP
  • Fixed the problem that the plugin wasn't configurable in ePSXeCutor and PCSX
Plugin Version : v2.4 / Interface Version : v2002.2 / Setup Version : v1.2
  • Plugin
    • Many code-optimizations & big fixes
    • Execute-Once & Execute-Once FR forced the emulator to crash in the last version (hu ?)
    • The emulation will be resumed after the interface is closed (Ctrl + G)
    • Ctrl + J opens a external hex-editor to modify the psx memory.
        To use this option, you need to configure the Hex-Editor in the [pec] configurator in the "Hex-Editor"-tab.
    • Ctrl + K opens the [pec] configurator.
        This allow you to change the GPU plugin or GPU settings while playing, on the fly !
        And for sure, you can also change the [pec] settings.
    • The maximal-showed-addresses limit in [pec]chu was changed from 1000 to 2000.
    • [pec]chu allow to save the current "search-state" to a file, and later load this file to resume the search.
        This should allow more professional searches.
    • Double-click on an address in the listbox in [pec]chu will open the "Modify Value"-window

  • Interface
    • Bug fixes
        For example while showing the Legend of Dragoon (US) codes, the interface crashed, because the interface couldn't handle so much cheats (there are more than 8000 cheats for this game).

  • Setup
    • Seems like v1.1 did not worked on some systems, because of the new UPX version.
        This problem is fixed now.
Interface Version : v2002.1 / Plugin Version : v2.3 / Setup Version : v1.1
  • Interface
    • Hundreds of bug-fixes in the user-database
      • The interface should not crash anymore in Win2k/XP ?!?
      • It's now possible to enter code combinations, in the second input-box in the user database.
      • [pec] will not "hang" anymore if the userdb.inf is read-only.
      • Death links in the help menu are fixed
      • and many more, which i currently don't remember anymore ...
    • The interface will close after the codes are activated in the plugin, if the interface was started using Ctrl+G from the Plugin. This will free up some memory.

  • Plugin
    • Added a window with a text-box, with allow you to show and edit the current activated codes.
      On this way you can copy a high amount of codes (from code-websites for example) to [pec] The Plugin and activate them.
      This function replace the hot-key Ctrl + C.
    • Added a 'Add/Remove Range'-button to [pec]chu, which allow you to remove or add a single or range of addresses to the 'Founded Addresses' list.
    • Added a hot-key Ctrl + D, which will generate a psx-memory dump of the current memory state.
      This dump will be saved under the name memdump.hex in the emulators directory.
      This option is useful in combination with [pec]chu, to find specified memory addresses.
      You can open this file with any hex-editor (like the free Frhed for example)

  • Setup
    • The setup can set the [pec] plugin as ePSXe's GPU Plugin automatically
    • Some files, like the user database and the codelist.inf was generated with the wrong size, so there where some bytes at the end of the files which shouldn't be there. This Problem is fixed now.
Full Version v2.2 (Plugin update)
  • [pec]chu uses Intel's MMX technology now to improve the search speed
  • Added support for a special form of codetype 50 which supported by the GameShark 2.2 and higher.
  • New HotKey added :
    • Ctrl+G
        Open the [pec] Interface to select new cheats.
        This works only if the plugin was installed, using the [pec] Setup, and the [pec] Interface wasn't copied to another directory after the installation.
Full Version v2.1 (Plugin update)
  • [pec] is not zipped anymore, there is a (hopefully) kickass and easy to use setup now
  • The old readme.txt is now changed to pec.chm, Microsoft's new HTMLHelp-Format, and provide much more info's and pictures now.
  • Codes can be activated via the emulators command line
      This function could be used by other third party tools, to activate codes or if you are too lazy to use the [pec] interface all the time.
      Examples :
        epsxe pec:800A95E60082
        epsxe -nosound pec:800A95E60082800AAE720082 -mouse
      Attention :
        [pec] does not check if the codes are correct, if the codes are buggy, the emu may crash.
        There can't be a space between the address and the value.
        For ePSXe-users : don't make a '-' before 'pec:'
  • New HotKeys added :
    • Ctrl+C
        Shows a window with the currently activated codes useful for the 'command line' option
    • Ctrl+F
        Activate code-execution and force recompilation after each 'code cycle' / Deactivate code-execution.
        The emulator need to support a special function for the 'force recompilation'-support. Only ePSXe v1.5.0 and above support this function currently.
  • [pec]chu -> founded addresses can be directly activated as cheats this make the modification permanently activated.
Full Version v2 (Plugin update)
  • Completly rewritten and hopefully more bugfree code.
  • Codes will be (dynamically) (re)compiled to x86 machine code.
  • This brings a speed improvment of about 600 percent
  • Cheat Hacking Unit aka [pec]chu or [pec]-a-chu ( :-P ).
  • This 'engine' allow you to search for values in the psx memory and generate your own cheat codes on this way.
  • [pec]chu has these features :
    • Search for 'Equal Value', 'Not Equal Value', 'Range', 'Increased By', 'Decreased By', 'Increased', 'Decreased', 'Different' and 'No Change'
    • It support Byte, Word and DWord search in Decimal and Hexadecimal
    • It has a small build-in disassembler
    • Support to search only in specified ranges on the memory
    • Allow you to modify the value at a selected memory address
    • Allow you to copy a selected address in the clipboard to use it in the [pec] user database, PECEdit, Notepad or whereever you want
  • Execution-State/Mode information can be shown directly in the GPU (if the GPU-Plugin support the 'GPUshowScreenPic'-function)
    These Modes are shown :
    • Codes Off
        The execution is currently deactivated.
    • Codes On
        The codes are currently activated and will be executed.
    • Codes On.
        The codes are activated, but not running, because the selected codes will be executed with delay, and the delay time is currently not over.
    • Executed Once
        The codes was executed once.
    • Executed Once - Force Recompilation
        The codes was executed once. Force the emulator (currently only ePSXe 1.5.0 and above support that) to clear it's dynarec table after the codes were executed.
    • No Codes Activated
        No codes was send by the [pec] Interface
  • On startup, it will show the current version of the plugin in the 'Screen Pic'-area. This has also the sense to inform you, that you are currently using [pec] The Plugin.
  • HotKey functions are available while playing. Accessable via key-combinations :
    • Ctrl+I
        Show Information about the current [pec] plugin (Version Number)
    • Ctrl+S
        Show Status Informations in the 'Screen Pic'-area (They will be automatically hidden after 15 seconds, or with the key-combination Ctrl+S)
    • Ctrl+A
        Activate/Deactivate code-execution (Like a pause-function)
    • Ctrl+E
        Execute Once. This will execute all the codes one time. (works only in "Codes OFF" Mode (Ctrl+A) and ignores the C1 codes.)
    • Ctrl+R
        Execute Once - Force Recompilation. This will execute all the codes one time and force the emulator to clear it's dynarec table. (works only in "Codes OFF" Mode (Ctrl+A) and ignores the C1 codes.)
    • Ctrl+H
        Open the Cheat Hacking Unit
  • New Max-Refresh-Limit : from 120 to 63
  • New Refresh-Default-Wert : 1 Refresh per 8 Frames
  • If no GPU-Plugin is choosen, the emulator don't crash anymore on the game-start
  • If the choosen GPU-Plugin doesn't exist it doesn't crash anymore on the game-start
  • Wrong addresses (> 0x1FFFFF) will be "corrected" (AND 0x1FFFFF)
  • New about-screen (that's the most important feature :-P )
  • Many bugfixes and speed improvments
Full Version 1.41
  • Plugin
    • The FPSE v0.9 Configurator don't crash anymore
  • Interface
    • In v1.4 the user database didn't worked (upps :P ) ... now it should work fine ;)
    • Some other bug fixes
  • Bleem!/VGS
    • This version has Bleem! and Virtual Game Station support ... hopefully :) ... since I use Win2k and both don't work in Win2k, I am not sure if it really works ... if not, just drop me a mail ;)
    • To switch between Plugin and Bleem!/VGS-Version click in the menu on Options -> Interface type
Full Version 1.4
  • Interface now is written in Delphi
  • No need for the annoying Visual Basic Runtime anymore
  • Should be up to 4-20 times faster than the Visual Basic version of the Interface
  • Environment-Settings : Change the GUI like you like it
  • Support for saving last selected games and cheats.
  • Now you can initialize (assign) quantity digits and modifiers at runtime.
    Just doubleclick the cheat with ? sign, and you can assign the modifier value. And of course, all unassigned modifiers will be prompted to assign during cheat activation
  • Added support for Max Normal and Max Reversed Joker commands.
  • Many things I forgot to menition. Just see it yourself.
Full Version 1.3a (Interface update)
  • Fixed a bug to make the new database workable
Full Version 1.3 (Plugin update)
  • Refresh rate support (Allow you to speed up the execution of the emulator, while using the plugin)
  • Configuration interface changed
  • Interface bugs fixed
  • Some code speed up's
  • Support for Pete's new GPU function :
    • GPUdisplayFlags (Supported by ePSXe to show the used controller type.)
  • Support for the C1 codetype (Activate Codes On Delay)
Full Version 1.2 (Plugin update)
  • Code sequence bugs fixed for the code types
    D0, D1, D2, D3, E0, E1, E2, E3
    (These opcodes doesn't worked before)
  • Different code optimizations for more speed
  • Support for Pete's new GPU function :
    • GPUreadDataMem (This is required for games with GPU->RAM transfer, like FF9 ...
      without this function, these games would crash in ePSXe)
Full Version 1.1 (Plugin update)
  • Serveral bugs fixed
  • Different code optimizations for more speed
  • Support for Pete's new GPU functions :
    • GPUwriteDataMem (Speed up the data transfer to the plugin extremly)
    • GPUdisplayText (Only interesting for emu-coders)
Full Version 1.0
  • The first cheat plugin for psx emu's
  • Should work ~ 100-200 times faster than [pec]
  • Works with all PSEmu Pro Plugin compatible PSX emulators
  • Works with any PSEmu Pro compatible GPU plugin
  • No more updates of [pec] required when an emulator gets updated
  • No need to search the emus PSX memory before the codes can be activated
  • Access to the same code database that [pec] uses including over 1500 games
  • Should work more "GameShark-like"
  • No more stupid DLL errors (hopefully =P )
  • The same advances as [pec]
    like :
    • User-Database
    • Correct CD-Check
    • Support for the code types :
      80, 30, 10, 11, 20, 21, 50, D0, D1, D2, D3, E0, E1, E2, E3, C0, C2
    • Support for additional game informations
    • Jumps to the codes for the game which is in the CD drive
      and many more ...
    • Fast plugin-data-pipe, because the Cheat Plugin itself uses pure assembler code.
    • Easy to use database, because the database-interface is coded in Visual Basic 6
    • Compressed with the new UPX v1.02 made by Markus F.X.J. Oberhumer & Laszlo Molnar.
      A big thanks to the programmers for this useful tool.


Version History - till Version 1.2

Version History (till Version 1.2)
Before I started to work on the plugin version of [pec] there were servial releases of [pec] written in Visual Basic 6 and Microsofts Macro Assembler.
The interface of these versions was slow, and the assembler code was buggy ... so it's not recommented to use them anymore. ;-)
But still ... they was there, so here is the version history till version 1.2 (the last version before the plugin).

Full Version 1.2
  • Support for ePSXe 1.0.0
  • Big bugfix - Some Quantity Digits wasn't used correctly
  • Inform you, if you've selected more than 350 codes
  • "Subscript out of range"-bug in games with many cheats fixed
  • P©SX beta changed to full version 0.5.240
Full Version 1.1
  • Big bugfix - Nearly 20% of all codes didn't worked in the previous versions
  • Support for P©SX beta's (0.5.111 and above)
  • Speed improvments, more routines are written in assembler now
  • [pec] now reactivates the codes faster after you changed them
  • Now you can search with wildcards (* and ?) for a game from the list.
  • This means, when you're searching for the game 'WWF Smackdown', it's now enough to enter '*Smackdown' into the search field - This should make it easier for you if you aren't sure about the internal name [pec] may use.
  • DLL-errormessage-bug fixed (The message couldn't be closed)
  • Bugfix - Some codes appeared under the wrong game
  • Added "Show the "First-Start"-Messagebox" to the advanced settings
  • "Activate Codes" and "Deactivate Codes" can be accessed over the "File"-Menu now
  • Assembler code compiled with the new version of Microsoft Macro Assember 6.15.8803
Full Version 1.0 - Rebuild C
  • Bugfix -- The code type 50 wasn't executed correctly, this caused crashes in certain games
  • Bugfix -- Master and Jokes codes haven't been executed correctly, this also caused crashes
  • Bugfix -- Few GotFocus-Bugs in the Main-Window were fixed
  • Changed the database format a bit, now big games can be compressed, so they need less than 10% of the space they used before
Full Version 1.0 - Rebuild B
  • Bug fixed -- [pec] stopped with error-message in Star Ocean - The Second Story (US)
  • GUI redesigned
  • Print codes-function
Full Version 1.0 - Rebuild A
  • Important Bugs fixed -- caused [pec] to crash
Full Version 1.0
  • Bugs fixed
  • A few parts of the executable's core were rewritten
  • PSEmu Pro support
  • Support for C0 (16-Bit Master Code)
  • Support for C2 (Copy Bytes Code)
  • Support for "Must Be On" Codes
  • Using an Index-file for faster loading on startup
    (Click on the Splash-Screen to close it or wait 5 seconds)
  • 6 Joker Commands per game are now possible
  • Easier-To-Use Joker Command Dialogs
  • Jumps to the codes for the game which is in the CD drive
  • Remembers the used region on restart
  • Complete rewritten "Searching-For-Emulator" routine
    (based on another system. now complete in assembler)
    If you have problems with this routine, please send me a mail to pec@emucheater.com.
  • Assembler code converted from Borland Turbo Assembler 5.0 to Microsoft Macro Assember 6.14.8444
  • Speed improvments when searching for the PSX-CD (Bleem!)
  • "Advanced Settings"-Menu added with the follow functions :
    • Auto Detect Emulator (Choose automatically between Bleem!, VGS and PSEmu Pro)
    • Auto Activate (Switch to the Emulator after the searching-routines)
    • Correct CD-Check
  • Complete rewritten execution of code-type 50 (Serial Repeater) to fix the problem with the errormessage "The Y-value isn't correct in a 50-code."
  • Break the code-execution via Hot Key, Ctrl+F11, and resume it via Ctrl+F12
  • Support for additional game information like Publisher, Developer, Genre, Releasedate, Reviews etc.
  • Support for additional cheat informations like passwords, strategy-guide, key-combinations for special events etc.
Second Beta Release - Rebuild A
  • Many bugs fixed
  • New Error handling routines
  • Now with support for codelists > 4 MB
Second Beta Release
  • Bugs fixed
  • Speed improvments when searching for the PSX-CD
  • Editing of the user database
  • Remember the used emulator on restart
First Beta Release
  • first release


Features
Support for all PSX Emu's with PSEmu Pro Plugin support.
Like ePSXe, PSEmu Pro, AdriPSX, PSinex, PCSX, FPSE.

Support for Bleem!
Version 1.0 - 1.5b

Support for Connectix Virtual Game Station
Version 1.3, 1.4, 1.41

A cheat database, with GameShark codes for over 1800 games.
More than 70000 pre-entered cheat codes.

Support for all Action Replay/GameShark/GameBuster v2.2 code types and the most v2.41/v3 codes.
Supported code types : 80, 30, 10, 11, 20, 21, 50, D0, D1, D2, D3, E0, E1, E2, E3, C0, C1, C2

Build-in cheat hacking unit.
The plugin includes a engine called [pec]chu, which allow you, to search for own cheats, like you can do it with a GSPro or Caetla module, just faster and easier. :-)

Support for 'Quantity Digits to accompany'

Support for Joker Commands and Reversed Joker Commands

A user database system
To simply add your own codes.

Hot-Key-Functions.
To enable/disable the execution of the codes while playing, to execute the codes only once, and to do many other cool things.

It's 100% free.
For sure, you can always pay for it, if you like. :-)

High-optimized Delphi and 32-bit-Assember code
For fast handling and execution of the codes.

Compatible to all 32-bit Windows-versions.
Windows 95, 98, Me, 2000 and XP.

And many more ...


[pec]chu
[pec]chu is a part of [pec] The Plugin. 'chu' stand for Cheat Hacking Unit, that means you it allow you hack your own codes.

To be more specific, it's a system which allow you to search for specified values in the "psx memory" while playing a game, and find on this way new codes for infinite power, endless money and other cool things.

You can access the [pec]chu while pressing Ctrl+H while playing a game.

To use [pec] you need to have knowledge about the GameShark code types. Check the Useful Links section for some links about this topic.


How can I find 'unknown values', like the values of health- or damage-bars... ?
This step-by-step description shows how to make a code for 100% health in Jackie Chan Stuntmaster (PAL). This system works for sure in many other games too, like Tekken 3, Driver and so on.

1. Start the game in an emulator which support PSEmu Pro GPU Plugins and select don't forget to select as GPU Plugin in it.

The red marked bar, is the 'health-meter', which show Jackie's current health. At startup, it's at 100% (how unusual :-P )
2. Press Ctrl+H to open the [pec]chu.

3. Select in 'Search For :', 'Not Equal Value', in 'Data Type :', 'Char (1 Byte)' and in Value, enter '0'.
I expect that the health value isn't bigger than 255 (1 Byte/Char) because most games use a maximum of 255 as health.
We search a value which is not equal to 0, this will initialize the search. You could also search for a range between 1 and 255, this would have the same effect.

4. Click on 'Search'. You will see the number of the founded addresses above the address-listbox. In my case it found 1430944 addresses.

5. Click on 'Resume Emulation' to resume the game.
6. Let the emulation run for an second or two without loosing health.

7. Press Ctrl+H to enter the [pec]chu.
8. Select in 'Search For :', 'No Change', because the health did not change since the last use of [pec]chu.

9. Click on the 'Continue'-button, this will resume the search. The new number of founded addresses will be decreased, in my case to 1401576.

10. Click on 'Resume Emulation' to resume the game.
11. Now find an opponent and loose some health.

12. Press Ctrl+H to enter the [pec]chu.
13. Now select in 'Search For :', 'Decreased', because the health decreased.

14. Click on the 'Continue'-button. The new number of founded addresses will be decreased again.

15. Click on 'Resume Emulation' to resume the game.
16. Go back to step 11 and do the steps, 11, 12, 13, 14 and 15 that often, till only few addresses (1 to 3 or 4) are left, you can also combine that again with a 'No Change'-search, this may decrease the number of founded addresses faster.

17. The Address-list will now show the founded addresses. To find the correct address, which hold the 'health-value', select the first address and click on the 'Modify'-button
18. A new, small window will popup which ask for an value. Since you've 'Char (1 Byte)' selected as data type the max. value which you can enter is 255 (in the decimal or FF in the hexadecial system).

19. Enter 255 and press OK.

20. The window will get closed and the memory address will be overwritten with the new value.

21. Click on 'Resume Emulation' and see what happens.
22. And voila ! The health-bar increased to the maximal possibile health. If this does not happen press Ctrl+H and modify the other founded values too, because the modified value wasn't the health value.

Now you can click on the 'Copy' button in [pec]chu to copy the founded address to the clipboard.
In my case the founded address was 801293E8.
GameShark codes with a one byte value have the prefix 30, so we need to modify the address to 301293E8, also we need to add the new memory value to it (in hexadecimal). 255 = FF in hexadecimal.
That means the final GameShark code will be 301293E8 00FF !!!

You can add this code to the user database in [pec] now, or use it with PECEdit or with your real GameShark ... everything is possible ! :-)

Note 1 : If you modify wrong addresses the emulation can abort the emulator.

Note 2 : Not all games use 255 (FF) as maximal health-value, Tekken 3 for example use 152. So you should try lower values first, before you try 255.


How can I find 'known values', like money or points ?

This step-by-step description shows how to make a '65535 points'-code for Grand Theft Auto (PAL). This system works for sure in many other games too.

1. Start the game in an emulator which support PSEmu Pro GPU Plugins and select don't forget to select as GPU Plugin in it.

The red marked number, is the number of your current points. At startup, you will have 0 points (how unusual :-P )

2. Play a bit to get some more points than 0
3. Press Ctrl+H to open the [pec]chu.

4. Select in 'Search For :', 'Equal Value', in 'Data Type :', 'Short (2 Bytes)' and in Value, enter the number of your current points (in my case 120).
I expect that the maximal possible point-value isn't bigger than 65535 (2 Bytes/Short).

5. Click on 'Search'. You will see the number of the founded addresses above the address-listbox. In my case it found 970 addresses.

6. Click on 'Resume Emulation' to resume the game.
7. Play a bit to increase your points.

8. Press Ctrl+H to enter the [pec]chu.
9. Enter the new numbers of points in the value field (in my case 210).

10. Click on the 'Continue'-button, this will resume the search. The new number of founded addresses will be decreased, in my case to 1 (what a luck).
If you found more than 1 address, simply start again from step 6, till you have only 1 or 2 addresses left.

11. Select the first address and click on the 'Modify'-button
12. A new, small window will popup which ask for an value. Since you've 'Short (2 Bytes)' selected as data type the max. value which you can enter is 65535 (in the decimal or FFFF in the hexadecial system).

13. Enter 65535 and press OK.

14. The window will get closed and the memory address will be overwritten with the new value.

15. Click on 'Resume Emulation' and see what happens.
16. And voila ! The points increased to 65535.

Now you can click on the 'Copy' button in [pec]chu to copy the founded address to the clipboard.
In my case the founded address was 8002B49C.
GameShark codes with a two byte value have the prefix 80, so we don't need to modify the address, but we need to add the new memory value to it (in hexadecimal). 65535 = FFFF in hexadecimal.
That means the final GameShark code will be 8002B49C FFFF !!!

You can add this code to the user database in [pec] now, or use it with PECEdit or with your real GameShark ... everything is possible ! :-)

Note 1 : If you modify wrong addresses the emulation can abort the emulator.

Note 2 : Not all games use 65535 (FFFF) as maximal point-value. It could also be that another game use only 1 Byte to save the value (so the maximal points are 255) or 4 Byte to save the value (the maximal points would be 4294967295). So you need to play a bit with the settings.


[pec] The Plugin - Hotkeys
HotKeys are keys or key-combinations with a special function, [pec] The Plugin supports some hotkeys which are a available while playing, to give you more access over the cheats :

Ctrl + I | Show Information about the current [pec] plugin (Version Number)
Ctrl + S | Show Status Informations in the 'Screen Pic'-area (They will be automatically hidden after 15 seconds, or with the key-combination Ctrl+S)
Ctrl + A | Activate/Deactivate code-execution (Like a pause-function)
Ctrl + E | Execute Once. This will execute all the codes one time. (works only in "Codes OFF" Mode (Ctrl+A) and ignores the C1 codes.)
Ctrl + F | Activate code-execution and Force recompilation after each 'code cycle' / Deactivate code-execution. Attention : The emulator need to support a special function for the 'force recompilation'-support. Only ePSXe v1.5.0 and above support this function currently.
Ctrl + R | Execute Once - Force Recompilation. This will execute all the codes one time and force the emulator to clear it's dynarec table. (works only in "Codes OFF" Mode (Ctrl+A) and ignores the C1 codes.) Attention : The emulator need to support a special function for the 'force recompilation'-support. Only ePSXe v1.5.0 and above support this function currently.
Ctrl + C | Shows a window with the Currently activated codes. In this window you can also enter own codes.
Ctrl + H | Open the Cheat Hacking Unit
Ctrl + G | Open the [pec] Interface.
Ctrl + D | Generate a psx-memory Dump of the current memory state in the emulators directory under the name memdump.hex.
Ctrl + J | Opens a external hex-editor to modify the psx memory. To use this option, you need to configure the Hex-Editor in the [pec] configurator in the "Hex-Editor"-tab.
Ctrl + K | Opens the [pec] configurator. This allow you to change the GPU plugin or GPU settings while playing ! And for sure, you can also change the [pec] settings.


User Database
Here is a simple step by step help to guide you through adding cheats :
  1. First run [pec] The Interface (pec.exe)
  2. Click on 'File' and then on 'User Database'
  3. Click 'Add Cheat' then 'New Cheat' will apear in the cheat-list
  4. Change the title of your cheat in the title box (for example : 'game name - cheat name')
  5. Fill out your codes in the text boxes under the code-listbox
  6. And click on add
  7. Repeat those step until you've entered all the cheats you want
  8. Check all the checkbox in the cheats-list you wish to activate
  9. Finally click on the bottom ok, it will close the window
  10. Click "Send Cheats to Plugin" in [pec] and you're done!
Keep in mind that it won't modify the built-in database it adds a user.inf.
If you want to activate your own codes you'll have to select them in the User Database.

- Written by i4get -


Frequently Asked Questions
Can I send you, requests for games which I want to see in the codelist via mail ?
    NO, mails with code requests fly directly in my trash without to get answered.
How can I enter my own cheats into [pec] ?
    Read the User Database section. It includes all required informations how you can add your own codes to [pec].
[pec] has, for example, codes for Megaman Legends 2 but not for Megaman Legends. Why ?
    I don't even own most games I add to the codelist, I normally add codes which have been requested or which have just been added on popular cheat pages (www.gbparadise.de, www.cmgsccc.com, www.agscc.com).
I've added cheats for a game to the codelist on my own. Can I send them to you and you'll publish them ?
    No, I don't publish codes users send me in general, since I don't know where you took those codes from and neither can I check if they do work.
Does [pec] support Caetla- (90, B0 ...) or XPloder-codes ?
    Nope, [pec] doesn't support Caetla- and XPloder-codes.

    For Caetla codes :
    Cosmow developed a code converter for Caetle codes which convert them into normal Gameshark codes, which can be used by [pec] as well.

    The programs name is CodeQuest, and you can directly download it here.


Known Bugs & Issues
There are currently more than 71.000 codes in the database. First of, they are all done for the "real" PlayStation, and since a PSX emulator isn't a "real" PlayStation you can't be sure that all the codes which work for the "real" PlayStation, works on an emulator too. Secondly, since there is such a huge number of codes, and we (the guys who hacked the codes, the guys who manage the web-pages where I got the codes, and myself) are only humans, it's for sure possible that we did a mistake, for example entered a wrong number in a code, so that it doesn't work. If you want to help to improve the database, please contact me if you found such a code.

The program itself currently does not have any known bugs, but a program without bugs isn't possible, so if you found something, please mail me.


Useful Links
Here you can find a small collection of useful links with informations about GameShark™, GameBuster™, XPloder and Caetla™ codes.

For US/Canada games, check :
  • Game Software Code Creators Club
For PAL games, check :
  • GameBuster Paradise.De
For japanese games (JAPAN) check :
  • Asian Game Shark Code Centre
For cheats and walkthroughs check :
  • CheatingDome

For detailed descriptions about the GameShark code types, check :
  • CodeMaster's PSX Code Types FAQ

My other psx-emulation projects :
  • CyberPad
      Provide Netplay functions for ePSXe.

  • Blini!
      Compatibility-report-editor for Bleem!


Credits
This program is written by Jens Duttke (aka JNS) and Danil Galimov (aka daNIL).
We wanna thank the following people, for their help while developing the psx emulator cheater :
  • Pete Bernert
  • Calb
  • Dragon¥en
  • Ultraschall
  • Stefan Redel (and the GBParadise.De members)
  • CodeMaster (and the CMGSCCC.Com members)
  • Leo (and the AGSCC.Com members)
  • Marcel de Haan (and the CheatingDome.Com members)
  • Bobbi
  • Flo Dester (alias DJ Mangalla)
  • Aldo Vargas
  • i4get
  • Dipl. Ingenieur Mike Lischke
  • nine-twelve
  • KeybJunky
  • Souledge
  • Defiler
  • Stefan Stephan
  • Thorgal
  • dmkf
  • Akira
  • Chameleon
  • BigAL
... and everybody else I forgot.

And for sure you for using [pec].